org.encog.ml.data.versatile

## Enum ColumnType

- java.lang.Object
- - java.lang.Enum<ColumnType>
  - - org.encog.ml.data.versatile.ColumnType

- All Implemented Interfaces:
    Serializable, Comparable<ColumnType>

      public enum ColumnType
      extends Enum<ColumnType>

  http://en.wikipedia.org/wiki/Level_of_measurement

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `continuous` A continuous (non-discrete) value is simply floating point numeric.
    `ignore` This field is ignored.
    `nominal` A discrete nominal, or categorical, value specifies class membership.
    `ordinal` A discrete ordinal specifies a non-numeric value that has a specific ordering.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### nominal

          public static final ColumnType nominal

      A discrete nominal, or categorical, value specifies class membership. For example, US states. There is a fixed number, yet no obvious, meaningful ordering.

    - #### ordinal

          public static final ColumnType ordinal

      A discrete ordinal specifies a non-numeric value that has a specific ordering. For example, the months of the year are inherently non-numerical, yet has a specific ordering.

    - #### continuous

          public static final ColumnType continuous

      A continuous (non-discrete) value is simply floating point numeric. These values are orderable and dense.

    - #### ignore

          public static final ColumnType ignore

      This field is ignored.

  - ### Method Detail

    - #### values

          public static ColumnType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnType c : ColumnType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.